summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2017-07-06 11:28:36 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2017-07-06 11:57:43 -0500
commitbc432e111304474d27e61b3e0d272501e4dde58a (patch)
tree8c4b073a6135806f2d90089bbc64145a7114255c /dev-python/oslo-db/oslo-db-4.13.5.ebuild
parentdev-python/oslo-serialization: cleanup (diff)
downloadgentoo-bc432e111304474d27e61b3e0d272501e4dde58a.tar.gz
gentoo-bc432e111304474d27e61b3e0d272501e4dde58a.tar.bz2
gentoo-bc432e111304474d27e61b3e0d272501e4dde58a.zip
dev-python/oslo-db: cleanup
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'dev-python/oslo-db/oslo-db-4.13.5.ebuild')
-rw-r--r--dev-python/oslo-db/oslo-db-4.13.5.ebuild54
1 files changed, 0 insertions, 54 deletions
diff --git a/dev-python/oslo-db/oslo-db-4.13.5.ebuild b/dev-python/oslo-db/oslo-db-4.13.5.ebuild
deleted file mode 100644
index 3d108291b7a..00000000000
--- a/dev-python/oslo-db/oslo-db-4.13.5.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5)
-
-inherit distutils-r1
-
-DESCRIPTION="OpenStack Common DB Code"
-HOMEPAGE="https://launchpad.net/oslo"
-SRC_URI="mirror://pypi/${PN:0:1}/oslo.db/oslo.db-${PV}.tar.gz"
-S="${WORKDIR}/oslo.db-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+sqlite mysql postgres"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- >=dev-python/pbr-1.6.0[${PYTHON_USEDEP}]
-"
-RDEPEND="
- >=dev-python/alembic-0.8.4[${PYTHON_USEDEP}]
- >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-2.9.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
- sqlite? (
- || (
- >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
- )
- )
- mysql? (
- dev-python/mysql-python
- || (
- >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
- )
- )
- postgres? (
- dev-python/psycopg:2
- || (
- >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
- )
- )
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.16.0[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
-"